Bug 520491 - Review Request: maven-embedder - Maven Embedder
Summary: Review Request: maven-embedder - Maven Embedder
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 429551
TreeView+ depends on / blocked
 
Reported: 2009-08-31 18:34 UTC by Alexander Kurtakov
Modified: 2010-07-21 05:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-01 17:28:16 UTC
Type: ---
xjakub: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2009-08-31 18:34:49 UTC
Spec URL: http://akurtakov.fedorapeople.org/maven-embedder.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-embedder-2.0.4-5.fc11.src.rpm
Description: The Maven Embedder is used by the Maven CLI, by IDE integration projects like
Mevenide and potentially any tool that needs to embed Maven's capabilities.
You could embed Maven in a Continuous Integration application to run Maven
build, an application lifecycle management (ALF) tool, or Ant tasks that
utilize Maven's functionality.
These are just a few examples of what the Maven Embedder can be used for.

Comment 1 Alexander Kurtakov 2009-08-31 18:35:34 UTC
This is a full review request. Pre-review was #500269 .

Comment 2 Milos Jakubicek 2009-09-01 10:03:29 UTC
OK, here are just a few issues:

- remove BR: maven2-plugin-surefire (obsoleted by maven2)
- is there any reason to use the Epoch: 0 tag? If not please remove it.
- the creation of local maven repository could go into the with_maven conditional

Otherwise the package is sane:
+ follows general guidelines (proper licensing, builds from source, proper instructions for getting source, ...)
+ follows Java guidelines (builds with maven in offline repo, installs into proper maven locations, docs are in -javadoc, ...)
+ builds in current rawhide: 
https://koji.fedoraproject.org/koji/taskinfo?taskID=1647555

Provided the BR & Epoch mentioned above will be fixed when importing, this package is APPROVED.

Comment 3 Alexander Kurtakov 2009-09-01 10:35:32 UTC
(In reply to comment #2)
> OK, here are just a few issues:
> 
> - remove BR: maven2-plugin-surefire (obsoleted by maven2)
It is needed during the build. Changed to the obsoleting package maven-surefire-maven-plugin.
> - is there any reason to use the Epoch: 0 tag? If not please remove it.
Removed.
> - the creation of local maven repository could go into the with_maven
> conditional
No. It can not go because ant build.xml is generated by mvn ant:ant which requires maven repository to work.
> 
> Otherwise the package is sane:
> + follows general guidelines (proper licensing, builds from source, proper
> instructions for getting source, ...)
> + follows Java guidelines (builds with maven in offline repo, installs into
> proper maven locations, docs are in -javadoc, ...)
> + builds in current rawhide: 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=1647555
> 
> Provided the BR & Epoch mentioned above will be fixed when importing, this
> package is APPROVED.  

New sources:
Spec URL: http://akurtakov.fedorapeople.org/maven-embedder.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-embedder-2.0.4-6.fc11.src.rpm

Comment 4 Alexander Kurtakov 2009-09-01 10:38:09 UTC
New Package CVS Request
=======================
Package Name:  maven-embedder
Short Description:  The Maven Embedder is used by the Maven CLI, by IDE integration and others.
Owners: overholt, akurtakov
Branches: 
InitialCC:

Comment 5 Dennis Gilmore 2009-09-01 16:05:37 UTC
 CVS done

Comment 6 Andrew Overholt 2009-09-01 17:28:16 UTC
Built in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1648389

Comment 7 Lubomir Rintel 2010-07-20 09:19:11 UTC
Package Change Request
======================
Package Name: maven-embedder
New Branches: EL-6
Owners: bar lkundrak

Unfortunately, Andrew stated (by mail) that he can't maintain this in EPEL.

Comment 8 Kevin Fenzi 2010-07-21 05:08:37 UTC
CVS done (by process-cvs-requests.py).

User 'bar' doesn't seem to exist. Otherwise done.


Note You need to log in before you can comment on or make changes to this bug.